import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'orderChildGoodsType'
})
export class OrderChildGoodsTypePipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '卡券';
      case 2:
        return '积分充值';
      case 3:
        return '加油订单';
      case 4:
        return 'KFC';
      case 5:
        return '电影票';
      case 6:
        return '话费充值';
      case 7:
        return '优惠卷包';
      case 8:
        return '汇联通充值';
      case 9:
        return '星巴克';
      case 10:
        return '第三方充值';
    }
  }
}
